Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model
Class MetaModelHandler.PluginConnection

    java.lang.Object
      kieker.analysis.model.MetaModelHandler.PluginConnection

Enclosing class:
  MetaModelHandler

    public static class MetaModelHandler.PluginConnection

extends Object

Since:
  1.8
Author:
  Nils Christian Ehmke

Constructor Summary
`MetaModelHandler.PluginConnection(AbstractPlugin source, AbstractPlugin destination, String outputName, String inputName)` Creates a new connection between two filters.

Method Summary
`AbstractPlugin` | `getDestination()`
`String` | `getInputName()`
`String` | `getOutputName()`
`AbstractPlugin` | `getSource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaModelHandler.PluginConnection

    public MetaModelHandler.PluginConnection(AbstractPlugin source,
                                             AbstractPlugin destination,
                                             String outputName,
                                             String inputName)

  Creates a new connection between two filters.

  Parameters:
    `source` - The source filter.
    `destination` - The destination filter.
    `outputName` - The name of the output port.
    `inputName` - The name of the input port.

Method Detail

### getSource

    public AbstractPlugin getSource()

### getDestination

    public AbstractPlugin getDestination()

### getOutputName

    public String getOutputName()

### getInputName

    public String getInputName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net